from observable import Observable


class Target(Observable):
    def __init__(self, points, name):
        self.points = points
        self.name = name
        self.hit_key = "hit"

    def hit(self):
        #notify Observers
        #notify Gamestate
        self.trigger(self.hit_key, self)